# CraftPresence

## [v1.8.0](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v1.8.0) (2022-04-18)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v1.7.14...v1.8.0) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Refactor:QOL] Added Helper functions for Formatting as Icon or casing  
    - Added `FormatAsIcon` and `FormatAsCasing` to avoid having users need to use `GetCaseData`  
- [Change] Added Label Customization to the Config  
    - The Away, Busy, Dead, ghost, and In Combat States are now configurable in the new Labels menu  
    - Each setting in this menu has an `active` and `inactive` state (Placing nothing will display nothing for that state)  
    - Like before, these player states make up the `prefix` sub argument in `GetUnitStatus` which is also used for several other placeholders. Keep this in mind when configuring.  
- [Fix] Fixed a regression causing Scenario States to not display  
    - Users with prior configs will need to reset the GameState Message, as the bug is small enough to not warrant a migration function  
- [Change] Added `in\_combat` result to `GetUnitStatus`  
